Subject: Re: [PATCH net-next 11/11] selftests: forwarding: Add a test for NH group stats

From: Petr Machata <[email-masked]>
Date: Mon, 11 Mar 2024 12:00:59 +0100

Petr Machata <[email-masked]> writes:

> Jakub Kicinski <[email-masked]> writes:
>
>> On Fri, 8 Mar 2024 23:31:57 +0100 Petr Machata wrote:
>>> > Are the iproute2 patches still on their way?
>>> > I can't find them and the test is getting skipped.  
>>> 
>>> I only just sent it. The code is here FWIW:
>>> 
>>>     https://github.com/pmachata/iproute2/commits/nh_stats
>>
>> I tried but I'll need to also sync the kernel headers.
>> Maybe I'll wait until David applies :S
>> Will the test still skip, tho, when running on veth?
>
> It should run the SW parts and skip the HW ones.

In fact why don't I paste the run I still have in the terminal from last
week:

[root@virtme-ng forwarding]# TESTS=" nh_stats_test_v4 nh_stats_test_v6 " ./router_mpath_nh_res.sh
TEST: NH stats test IPv4                                            [ OK ]
TEST: HW stats not offloaded on veth topology                       [SKIP]
TEST: NH stats test IPv6                                            [ OK ]
TEST: HW stats not offloaded on veth topology                       [SKIP]